Skip to main content
DELETE
/
v2
/
workflows
/
dlq
Bulk Delete Failed Workflow Runs
curl --request DELETE \
  --url https://qstash.upstash.io/v2/workflows/dlq \
  --header 'Authorization: Bearer <token>'
{
  "deleted": 123,
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

QStash authentication token

Query Parameters

dlqIds
string[]

List of specific DLQ IDs to delete. If provided, other filters are ignored.

cursor
string

Pagination cursor for deleting in batches.

count
integer

Maximum number of workflows to delete per request.

fromDate
integer<int64>

Filter by starting date in milliseconds (Unix timestamp). This is inclusive.

toDate
integer<int64>

Filter by ending date in milliseconds (Unix timestamp). This is inclusive.

workflowUrl
string

Filter by workflow URL.

workflowRunId
string

Filter by workflow run ID.

workflowCreatedAt
integer<int64>

Filter by workflow creation timestamp in milliseconds (Unix timestamp).

label
string

Filter by label assigned to the workflow run.

failureFunctionState
string

Filter by failure function state.

callerIp
string

Filter by IP address of the publisher.

flowControlKey
string

Filter by Flow Control Key.

Response

Workflows deleted successfully

deleted
integer<int64>

The number of workflow runs that were deleted.

cursor
string

Pagination cursor for the next batch. Only present when using filters without DLQ IDs.